Im having error on PouchDB with the new update of ionic 3.5.0


#1
rror: Uncaught (in promise): TypeError: __WEBPACK_IMPORTED_MODULE_1_pouchdb__.plugin is not a function
TypeError: __WEBPACK_IMPORTED_MODULE_1_pouchdb__.plugin is not a function
    at BirthdayService.initDB (http://localhost:8100/build/main.js:132161:56)
    at http://localhost:8100/build/main.js:38262:35
    at t.invoke (http://localhost:8100/build/polyfills.js:3:9283)
    at Object.onInvoke (http://localhost:8100/build/main.js:4501:37)
    at t.invoke (http://localhost:8100/build/polyfills.js:3:9223)
    at r.run (http://localhost:8100/build/polyfills.js:3:4452)
    at http://localhost:8100/build/polyfills.js:3:14076
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:9967)
    at Object.onInvokeTask (http://localhost:8100/build/main.js:4492:37)
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:9888)
    at c (http://localhost:8100/build/polyfills.js:3:13535)
    at http://localhost:8100/build/polyfills.js:3:14107
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:9967)
    at Object.onInvokeTask (http://localhost:8100/build/main.js:4492:37)
    at t.invokeTask (http://localhost:8100/build/polyfills.js:3:9888)
    at r.runTask (http://localhost:8100/build/polyfills.js:3:5143)
    at o (http://localhost:8100/build/polyfills.js:3:2203)
    at HTMLButtonElement.invoke (http://localhost:8100/build/polyfills.js:3:10985)

#2

Probably related to your problems in Update to 3.5.3 and PouchDB, isn’t it?

Anyway, post your ionic info and how you implemented PouchDB exactly.